%define perl_version      5.8.8

# Note: the commented pmake_install wasn't working for ExtUtils-MakeMaker so I 
# changed it. I'll be testing it thoroughly with some more modules now.

Summary: Module providing utf8 functions for perl < 5.8
Name: perl-module-utf8simple
Version: 1.06
Release: 1
Group: System Environment/Base
License: apache
Source: utf8simple-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: perl = %{perl_version}
BuildRequires: perl = %{perl_version}
 
%description
Versions of perl before 5.8 had very limited support for utf8 functions.
This is a plugin backporting some of the most commonly used ones.

%prep
%if %( ([ "$(uname -i)" == "x86_64" ] && echo 1) || echo 0)
	echo "we are building on 64bit"
	%define siteperl /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi/
	%define perllib /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi/
%else
	echo "we are building on non 64 bit"
	%define siteperl /usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi/ 
	%define perllib /usr/lib/perl5/5.8.8/i386-linux-thread-multi/	
%endif;

%setup -q -n Unicode-UTF8simple-1.06

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{perl_prefix}
make install DESTDIR=%{buildroot}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,bin,bin)
%doc README
/usr/share/man/man3/*
/usr/lib/perl5/site_perl/5.8.8/Unicode/UTF8simple.pm
%{perllib}perllocal.pod
%{siteperl}auto/Unicode/UTF8simple/.packlist
%post

%changelog
* Mon Nov 09 2009 Jarek Sedlacek <jarek@nbcs.rutgers.edu> - 1.06-1
 - Initial Build
